Package: groovy.util

## [Java] Interface ObjectGraphBuilder.IdentifierResolver

-     public interface ObjectGraphBuilder.IdentifierResolver

  Strategy for picking the correct synthetic identifier.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getIdentifierFor(String nodeName)` Returns the name of the property that will identify the node.

- - ### Method Detail

    - #### public String getIdentifierFor(String nodeName)

      Returns the name of the property that will identify the node.

      Parameters:
        `nodeName` - the name of the node